@ECHO OFF
rem ########################################################################
rem # Copyright (c) 2013 Idereal Limited
rem #
rem # This program is free software: you can redistribute it and/or modify
rem # it under the terms of the GNU General Public License as published by
rem # the Free Software Foundation, either version 2 of the License, or
rem # (at your option) any later version.
rem #
rem # This program is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem # GNU General Public License for more details.
rem #
rem # You should have received a copy of the GNU General Public License
rem # along with this program.  If not, see <http://www.gnu.org/licenses/>.
rem #
rem # Contributors:
rem #    Alexander Taler
rem ########################################################################

rem Please see fetch-bazaar-plugin.sh for description.

rem Because Windows does not have sym links, robocopy is used to keep the
rem plugin directory up to date.

IF EXIST xmloutput (
   rd /S /Q xmloutput
)
IF EXIST ..\bzr-xmloutput (
   robocopy ..\bzr-xmloutput xmloutput *.* /MIR
) ELSE IF EXIST ..\..\bzr-xmloutput (
   robocopy ..\..\bzr-xmloutput xmloutput *.* /MIR
) ELSE IF EXIST ..\..\..\bzr-xmloutput (
   robocopy ..\..\..\bzr-xmloutput xmloutput *.* /MIR
) ELSE (
   bzr export -r tag:0.9.2 xmloutput lp:~bzr-eclipse/bzr-xmloutput/trunk
)
